# class KTextBrowser | Extended QTextBrowser. More...
Definition | `#include <ktextbrowser.h>`
Inherits | QTextBrowser (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KTextBrowser ( QWidget *parent=0, const char *name=0, bool notifyClick=false )
- ~KTextBrowser ( void )
- void setNotifyClick ( bool notifyClick )
- bool isNotifyClick () const

#### Signals

- void mailClick ( const QString &name, const QString &address )
- void urlClick ( const QString &url )

#### Protected Methods

- void setSource (const QString& name)
- virtual void keyPressEvent (QKeyEvent *e)
- virtual void viewportMouseMoveEvent ( QMouseEvent* e)

## Detailed Description

An extended QTextBrowser.

By default it will invoke the system mailer or the system browser when a link is activated, or it can emit the signal urlClick() or mailClick() when a link is activated.

KTextBrowser ( QWidget *parent=0, const char *name=0, bool notifyClick=false ) | ### KTextBrowser

Constructor.

Parameters:

parent | Parent of the widget.
name | Widget name.
notifyClick | `true` causes signals to be emitted.

~KTextBrowser ( void ) | ### ~KTextBrowser

Destructor.

void setNotifyClick ( bool notifyClick ) | ### setNotifyClick

Decide whether a click on a link should be handled internally or if a signal should be emitted.

Parameters:

notifyClick | `true` causes signals to be emitted.

bool isNotifyClick () | ### isNotifyClick

[const]

Returns whether a click on a link should be handled internally or if a signal should be emitted.

void setSource (const QString& name) | ### setSource

[protected]

Reimplemented to NOT set the source but to do the special handling. Do not call.

Reimplemented from QTextBrowser.

void keyPressEvent (QKeyEvent *e) | ### keyPressEvent

[protected virtual]

Makes sure Key_Escape is ignored

Reimplemented from QTextBrowser.

void viewportMouseMoveEvent ( QMouseEvent* e) | ### viewportMouseMoveEvent

[protected virtual]

Make sure we use our own hand cursor

Reimplemented from QTextBrowser.

void mailClick ( const QString &name, const QString &address ) | ### mailClick

[signal]

Emitted when a mail link has been activated and the widget has been configured to emit the signal.

Parameters:

name | The destination name. It is QString::null at the moment.
address | The destination address.

void urlClick ( const QString &url ) | ### urlClick

[signal]

Emitted if mailClick() is not emitted and the widget has been configured to emit the signal.

Parameters:

url | The destination address.

- Version: $Id: ktextbrowser.h,v 1.10 2000/06/03 01:12:59 gehrmab Exp $
- Author: Espen Sand (espensa@online.no)
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.